--- old/usr/src/Makefile.master	2016-06-18 19:37:52.833094490 -0400
+++ new/usr/src/Makefile.master	2016-06-18 19:37:52.888340082 -0400
@@ -336,7 +336,7 @@
 # overridable for testing.
 sparc_XARCH=	-m32
 sparcv9_XARCH=	-m64
-i386_XARCH=
+i386_XARCH=	-m32
 amd64_XARCH=	-m64 -Ui386 -U__i386
 
 # assembler '-xarch' flag.  Different from compiler '-xarch' flag.
--- old/usr/src/cmd/cmd-inet/usr.bin/dns-sd/Makefile	2016-06-18 19:37:54.154929514 -0400
+++ new/usr/src/cmd/cmd-inet/usr.bin/dns-sd/Makefile	2016-06-18 19:37:54.193314317 -0400
@@ -24,6 +24,7 @@
 SRCS=		ClientCommon.c dns-sd.c
 
 CFLAGS += $(C99_ENABLE)
+CPPFLAGS += -DMDNS_VERSIONSTR_NODTS
 LDLIBS += -lsocket -ldns_sd
 
 .KEEP_STATE:
--- old/usr/src/cmd/cmd-inet/usr.bin/dns-sd/dns-sd.c	2016-06-18 19:37:55.114095703 -0400
+++ new/usr/src/cmd/cmd-inet/usr.bin/dns-sd/dns-sd.c	2016-06-18 19:37:55.144986344 -0400
@@ -200,7 +200,7 @@
 typedef struct
 {
     unsigned short keyTag;
-    unsigned char alg; 
+    unsigned char alg;
     unsigned char digestType;
     unsigned char  *digest;
 } rdataDS;
@@ -214,12 +214,12 @@
     unsigned char *data;
 } rdataDNSKey;
 
-//size of rdataRRSIG excluding signerName and signature (which are variable fields) 
+//size of rdataRRSIG excluding signerName and signature (which are variable fields)
 #define RRSIG_FIXED_SIZE      18
 typedef struct
 {
     unsigned short typeCovered;
-    unsigned char alg; 
+    unsigned char alg;
     unsigned char labels;
     unsigned int origTTL;
     unsigned int sigExpireTime;
@@ -267,13 +267,13 @@
 
 //*************************************************************************************************************
 // Supporting Utility Functions
-static uint16_t GetRRClass(const char *s)   
+static uint16_t GetRRClass(const char *s)
 {
-    if (!strcasecmp(s, "IN")) 
+    if (!strcasecmp(s, "IN"))
         return kDNSServiceClass_IN;
     else
         return(atoi(s));
-}     
+}
 
 static uint16_t GetRRType(const char *s)
 {
@@ -348,7 +348,7 @@
         case kDNSServiceType_RRSIG:     return("RRSIG");
         case kDNSServiceType_DNSKEY:    return("DNSKEY");
         case kDNSServiceType_DS:        return("DS");
-        default:            
+        default:
         {
             static char buffer[RR_TYPE_SIZE];
             snprintf(buffer, sizeof(buffer), "TYPE%d", rr_type);
@@ -363,12 +363,12 @@
     return (unsigned short)((unsigned short)ptr[0] << 8 | ptr[1]);
 }
 
-static unsigned int swap32(unsigned int x) 
+static unsigned int swap32(unsigned int x)
 {
     unsigned char *ptr = (unsigned char *)&x;
     return (unsigned int)((unsigned int)ptr[0] << 24 | (unsigned int)ptr[1] << 16 | (unsigned int)ptr[2] << 8 | ptr[3]);
 }
-static unsigned int keytag(unsigned char *key, unsigned int keysize)  
+static unsigned int keytag(unsigned char *key, unsigned int keysize)
 {
     unsigned long ac;
     unsigned int i;
@@ -397,17 +397,17 @@
     null_str = dispatch_data_create("", 1, dispatch_get_global_queue(0, 0), ^{});
     if (!null_str)
         goto done;
- 
+
     data = dispatch_data_create_concat(dest_data, null_str);
     if (!data)
-        goto done;    
+        goto done;
 
-    map = dispatch_data_create_map(data, &result, &size);    
+    map = dispatch_data_create_map(data, &result, &size);
     if (!map)
         goto done;
 
     snprintf(buffer, buflen, " %s", (char *)result);
-    
+
 done:
     if (src_data) dispatch_release(src_data);
     if (dest_data) dispatch_release(dest_data);
@@ -418,7 +418,7 @@
 #else  //_DNS_SD_LIBDISPATCH
     snprintf(buffer, buflen, " %s", ".");
     return;
-#endif //_DNS_SD_LIBDISPATCH 
+#endif //_DNS_SD_LIBDISPATCH
 }
 
 #if HAS_NAT_PMP_API | HAS_ADDRINFO_API
@@ -468,7 +468,7 @@
 }
 
 // formating time to RFC 4034 format
-static void FormatTime(unsigned long te, unsigned char *buf, int bufsize) 
+static void FormatTime(unsigned long te, unsigned char *buf, int bufsize)
 {
     struct tm tmTime;
 #ifdef _WIN32
@@ -696,10 +696,10 @@
 
     if (num_printed++ == 0) printf("Timestamp     A/R    Flags  if %-20s %-20s %s\n", "Domain", "Service Type", "Instance Name");
     printtimestamp();
-    if (errorCode) 
+    if (errorCode)
         printf("Error code %d\n", errorCode);
-    else 
-        printf("%s %8X %3d %-20s %-20s %s\n", 
+    else
+        printf("%s %8X %3d %-20s %-20s %s\n",
                 op, flags, ifIndex, replyDomain, replyType, replyName);
     if (!(flags & kDNSServiceFlagsMoreComing)) fflush(stdout);
 
@@ -869,10 +869,10 @@
 {
     const char *const buf = p;
     const char *const end = p + max;
-    while (**rd) 
-    { 
-        p += snprintf(p, end-p, "%.*s.", **rd, *rd+1); 
-        *rd += 1 + **rd; 
+    while (**rd)
+    {
+        p += snprintf(p, end-p, "%.*s.", **rd, *rd+1);
+        *rd += 1 + **rd;
     }
     *rd += 1;   // Advance over the final zero byte
     return(p-buf);
@@ -881,7 +881,7 @@
 static void ParseDNSSECRecords(uint16_t rrtype, char *rdb, char *p, unsigned const char *rd, uint16_t rdlen)
 {
     int rdb_size = 1000;
-    switch (rrtype) 
+    switch (rrtype)
     {
         case kDNSServiceType_DS:
         {
@@ -892,10 +892,10 @@
                           rrds->alg, swap16(rrds->keyTag), rrds->digestType);
             ptr = (unsigned char *)(rd + DS_FIXED_SIZE);
             for (i = 0; i < (rdlen - DS_FIXED_SIZE); i++)
-                p += snprintf(p, rdb + rdb_size - p, "%x", ptr[i]);   
-            break; 
-        } 
-            
+                p += snprintf(p, rdb + rdb_size - p, "%x", ptr[i]);
+            break;
+        }
+
         case kDNSServiceType_DNSKEY:
         {
             rdataDNSKey *rrkey = (rdataDNSKey *)rd;
@@ -904,32 +904,32 @@
             base64Encode(p, rdb + rdb_size - p, (unsigned char *)(rd + DNSKEY_FIXED_SIZE), rdlen - DNSKEY_FIXED_SIZE);
             break;
         }
-            
-        case kDNSServiceType_NSEC: 
+
+        case kDNSServiceType_NSEC:
         {
             unsigned char *next = (unsigned char *)rd;
             int len, bitmaplen;
             int win, wlen, type;
             unsigned char *bmap;
             char *l = NULL;
-            
+
             l = p;
             p += snprintd(p, rdb + rdb_size - p, &rd);
             len = p - l + 1;
-            
+
             bitmaplen = rdlen - len;
             bmap = (unsigned char *)((unsigned char *)next + len);
-            
+
             while (bitmaplen > 0)
             {
                 int i;
-                
+
                 if (bitmaplen < 3)
                 {
                     printf("Case NSEC: malformed nsec, bitmaplen %d short\n", bitmaplen);
                     break;
-                }   
-                
+                }
+
                 win = *bmap++;
                 wlen = *bmap++;
                 bitmaplen -= 2;
@@ -954,8 +954,8 @@
             }
             break;
         }
-            
-        case kDNSServiceType_RRSIG:    
+
+        case kDNSServiceType_RRSIG:
         {
             rdataRRSig *rrsig = (rdataRRSig *)rd;
             unsigned char expTimeBuf[64];
@@ -965,27 +965,27 @@
             const unsigned char *q = NULL;
             char *k = NULL;
             int len;
-            
+
             expClock = (unsigned long)swap32(rrsig->sigExpireTime);
             FormatTime(expClock, expTimeBuf, sizeof(expTimeBuf));
-            
+
             inceptClock = (unsigned long)swap32(rrsig->sigInceptTime);
             FormatTime(inceptClock, inceptTimeBuf, sizeof(inceptTimeBuf));
-            
+
             p += snprintf(p, rdb + rdb_size - p, " %-7s  %d  %d  %d  %s  %s  %7d  ",
                           DNSTypeName(swap16(rrsig->typeCovered)), rrsig->alg, rrsig->labels, swap32(rrsig->origTTL),
                           expTimeBuf, inceptTimeBuf, swap16(rrsig->keyTag));
-            
+
             q = (const unsigned char *)&rrsig->signerName;
             k = p;
             p += snprintd(p, rdb + rdb_size - p, &q);
             len = p - k + 1;
-            
+
             base64Encode(p, rdb + rdb_size - p, (unsigned char *)(rd + len + RRSIG_FIXED_SIZE), rdlen - (len + RRSIG_FIXED_SIZE));
             break;
         }
     }
-    return;                           
+    return;
 }
 
 static void DNSSD_API qr_reply(DNSServiceRef sdref, const DNSServiceFlags flags, uint32_t ifIndex, DNSServiceErrorType errorCode,
@@ -1009,9 +1009,9 @@
 
     if (num_printed++ == 0)
     {
-        if (operation == 'D') 
-            printf("Timestamp     A/R if %-30s%-6s%-7s%-18s Rdata\n", "Name", "Type", "Class", "DNSSECStatus"); 
-        else     
+        if (operation == 'D')
+            printf("Timestamp     A/R if %-30s%-6s%-7s%-18s Rdata\n", "Name", "Type", "Class", "DNSSECStatus");
+        else
             printf("Timestamp     A/R Flags if %-30s%-6s%-7s Rdata\n", "Name", "Type", "Class");
     }
     printtimestamp();
@@ -1036,7 +1036,7 @@
                 case kDNSServiceType_A:
                     snprintf(rdb, sizeof(rdb), "%d.%d.%d.%d", rd[0], rd[1], rd[2], rd[3]);
                     break;
-    
+
                 case kDNSServiceType_NS:
                 case kDNSServiceType_CNAME:
                 case kDNSServiceType_PTR:
@@ -1072,13 +1072,13 @@
                     ParseDNSSECRecords(rrtype, rdb, p, rd, rdlen);
                     break;
 
-                default: 
-                    snprintf(rdb, sizeof(rdb), "%d bytes%s", rdlen, rdlen ? ":" : ""); 
+                default:
+                    snprintf(rdb, sizeof(rdb), "%d bytes%s", rdlen, rdlen ? ":" : "");
                     unknowntype = 1;
                     break;
-            }   
-        }   
-        else 
+            }
+        }
+        else
         {
             strncpy(rdb, "----", sizeof(rdb));
             //Clear all o/p bits, and then check for dnssec status
@@ -1089,7 +1089,7 @@
                 strncpy(dnssec_status, "Insecure", sizeof(dnssec_status));
             else if (check_flags & kDNSServiceFlagsIndeterminate)
                 strncpy(dnssec_status, "Indeterminate", sizeof(dnssec_status));
-            else if (check_flags & kDNSServiceFlagsBogus) 
+            else if (check_flags & kDNSServiceFlagsBogus)
                 strncpy(dnssec_status, "Bogus", sizeof(dnssec_status));
         }
     }
@@ -1099,13 +1099,13 @@
     else
         printf("%s%6X%3d %-30s%-7s%-6s %s", op, flags, ifIndex, fullname, rr_type, rr_class, rdb);
     if (unknowntype)
-    { 
-        while (rd < end) 
+    {
+        while (rd < end)
             printf(" %02X", *rd++);
     }
     if (errorCode)
     {
-        if (errorCode == kDNSServiceErr_NoSuchRecord) 
+        if (errorCode == kDNSServiceErr_NoSuchRecord)
             printf("    No Such Record");
         else if (errorCode == kDNSServiceErr_Timeout)
         {
@@ -1120,7 +1120,7 @@
         if (flags & kDNSServiceFlagsAdd)
             DNSServiceReconfirmRecord(flags, ifIndex, fullname, rrtype, rrclass, rdlen, rdata);
 
-    if (!(flags & kDNSServiceFlagsMoreComing)) 
+    if (!(flags & kDNSServiceFlagsMoreComing))
         fflush(stdout);
 }
 
@@ -1153,7 +1153,7 @@
 {
     char *op = (flags & kDNSServiceFlagsAdd) ? "Add" : "Rmv";
     char addr[256] = "";
-    char dnssec_status[15] = "Unknown"; 
+    char dnssec_status[15] = "Unknown";
     DNSServiceFlags check_flags = flags;
 	(void) sdref;
 	(void) context;
@@ -1162,13 +1162,13 @@
 
     if (num_printed++ == 0)
     {
-        if (operation == 'g') 
+        if (operation == 'g')
             printf("Timestamp     A/R if %-25s %-44s %-18s\n", "Hostname", "Address", "DNSSECStatus");
-        else  
+        else
             printf("Timestamp     A/R Flags if %-38s %-44s %s\n", "Hostname", "Address", "TTL");
     }
     printtimestamp();
-   
+
     if (address && address->sa_family == AF_INET)
     {
         const unsigned char *b = (const unsigned char *) &((struct sockaddr_in *)address)->sin_addr;
@@ -1198,24 +1198,24 @@
             strncpy(dnssec_status, "Insecure", sizeof(dnssec_status));
         else if (check_flags & kDNSServiceFlagsIndeterminate)
             strncpy(dnssec_status, "Indeterminate", sizeof(dnssec_status));
-        else if (check_flags & kDNSServiceFlagsBogus) 
+        else if (check_flags & kDNSServiceFlagsBogus)
             strncpy(dnssec_status, "Bogus", sizeof(dnssec_status));
     }
-    
+
     if (operation == 'g')
         printf("%s%3d %-25s %-44s %-18s", op, interfaceIndex, hostname, addr, dnssec_status);
     else
         printf("%s%6X%3d %-38s %-44s %d", op, flags, interfaceIndex, hostname, addr, ttl);
     if (errorCode)
     {
-        if (errorCode == kDNSServiceErr_NoSuchRecord) 
+        if (errorCode == kDNSServiceErr_NoSuchRecord)
             printf("   No Such Record");
-        else 
+        else
             printf("   Error code %d", errorCode);
     }
     printf("\n");
 
-    if (!(flags & kDNSServiceFlagsMoreComing)) 
+    if (!(flags & kDNSServiceFlagsMoreComing))
         fflush(stdout);
 }
 #endif
@@ -1634,7 +1634,7 @@
         flags |= kDNSServiceFlagsReturnIntermediates;
         if (operation == 'q')
             flags |= kDNSServiceFlagsSuppressUnusable;
-        if (argc < opi+1) 
+        if (argc < opi+1)
             goto Fail;
         rrtype = (argc <= opi+1) ? kDNSServiceType_A  : GetRRType(argv[opi+1]);
         rrclass = (argc <= opi+2) ? kDNSServiceClass_IN : GetRRClass(argv[opi+2]);
@@ -1725,9 +1725,9 @@
             else
                 flags |= kDNSServiceFlagsValidate;
         }
-        if (argc != opi+2) 
+        if (argc != opi+2)
             goto Fail;
-        else 
+        else
             err = DNSServiceGetAddrInfo(&client, flags, opinterface, GetProtocol(argv[opi+0]), argv[opi+1], addrinfo_reply, NULL);
         break;
     }
@@ -1811,7 +1811,11 @@
 
 // NOT static -- otherwise the compiler may optimize it out
 // The "@(#) " pattern is a special prefix the "what" command looks for
+#ifndef MDNS_VERSIONSTR_NODTS
 const char VersionString_SCCS[] = "@(#) dns-sd " STRINGIFY(mDNSResponderVersion) " (" __DATE__ " " __TIME__ ")";
+#else
+const char VersionString_SCCS[] = "@(#) dns-sd " STRINGIFY(mDNSResponderVersion);
+#endif
 
 #if _BUILDING_XCODE_PROJECT_
 // If the process crashes, then this string will be magically included in the automatically-generated crash log
--- old/usr/src/lib/libdns_sd/Makefile.com	2016-06-18 19:37:56.397917226 -0400
+++ new/usr/src/lib/libdns_sd/Makefile.com	2016-06-18 19:37:56.431931867 -0400
@@ -38,6 +38,7 @@
 
 C99MODE =	$(C99_ENABLE)
 CPPFLAGS +=	-I$(SRCDIR) -DNOT_HAVE_SA_LEN -D_XPG4_2 -D__EXTENSIONS__
+CPPFLAGS +=	-DMDNS_VERSIONSTR_NODTS
 
 .PARALLEL =     $(OBJECTS)
 .KEEP_STATE:
--- old/usr/src/lib/libdns_sd/common/dnssd_clientlib.c	2016-06-18 19:37:57.318590355 -0400
+++ new/usr/src/lib/libdns_sd/common/dnssd_clientlib.c	2016-06-18 19:37:57.354686881 -0400
@@ -363,4 +363,8 @@
 
 // NOT static -- otherwise the compiler may optimize it out
 // The "@(#) " pattern is a special prefix the "what" command looks for
+#ifndef MDNS_VERSIONSTR_NODTS
 const char VersionString_SCCS_libdnssd[] = "@(#) libdns_sd " STRINGIFY(mDNSResponderVersion) " (" __DATE__ " " __TIME__ ")";
+#else
+const char VersionString_SCCS_libdnssd[] = "@(#) libdns_sd " STRINGIFY(mDNSResponderVersion);
+#endif
--- old/usr/src/lib/libdns_sd/java/Makefile.com	2016-06-18 19:37:58.309050142 -0400
+++ new/usr/src/lib/libdns_sd/java/Makefile.com	2016-06-18 19:37:58.349938828 -0400
@@ -22,7 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 
 LIBRARY=	libjdns_sd.a
 VERS=		.1
@@ -39,6 +38,7 @@
 CPPFLAGS +=	-I$(JAVA_ROOT)/include -I$(JAVA_ROOT)/include/solaris
 CPPFLAGS +=	-I../com/apple/dnssd
 CPPFLAGS +=	-D_REENTRANT
+CPPFLAGS +=	-DMDNS_VERSIONSTR_NODTS
 
 LDLIBS +=	-lc -lsocket -ldns_sd
 
--- old/usr/src/lib/libdns_sd/java/common/JNISupport.c	2016-06-18 19:37:59.252398224 -0400
+++ new/usr/src/lib/libdns_sd/java/common/JNISupport.c	2016-06-18 19:37:59.284096999 -0400
@@ -1069,4 +1069,8 @@
 
 // NOT static -- otherwise the compiler may optimize it out
 // The "@(#) " pattern is a special prefix the "what" command looks for
+#ifndef MDNS_VERSIONSTR_NODTS
 const char VersionString_SCCS[] = "@(#) libjdns_sd " STRINGIFY(mDNSResponderVersion) " (" __DATE__ " " __TIME__ ")";
+#else
+const char VersionString_SCCS[] = "@(#) libjdns_sd " STRINGIFY(mDNSResponderVersion);
+#endif
--- old/usr/src/lib/libfru/amd64/Makefile	2016-06-18 19:38:00.556851956 -0400
+++ new/usr/src/lib/libfru/amd64/Makefile	2016-06-18 19:38:01.090209100 -0400
@@ -28,7 +28,7 @@
 include ../Makefile.obj
 include ../../Makefile.lib.64
 include ../Makefile.flag
-LDLIBS += -lc -m64
+LDLIBS += -lc
 LDLIBS += -L$(SRC)/lib/libfruutils/$(MACH64) -lfruutils
 LDLIBS += -L$(SRC)/lib/libfru/libfrureg/$(MACH64) -lfrureg
 
--- old/usr/src/lib/libfru/sparcv9/Makefile	2016-06-18 19:38:02.059181219 -0400
+++ new/usr/src/lib/libfru/sparcv9/Makefile	2016-06-18 19:38:02.103416606 -0400
@@ -29,7 +29,7 @@
 include ../Makefile.obj
 include ../../Makefile.lib.64
 include ../Makefile.flag
-LDLIBS += -lc -m64
+LDLIBS += -lc
 LDLIBS += -L$(SRC)/lib/libfruutils/$(MACH64) -lfruutils
 LDLIBS += -L$(SRC)/lib/libfru/libfrureg/$(MACH64) -lfrureg
 
--- old/usr/src/test/libc-tests/tests/Makefile	2016-06-18 19:38:02.979062964 -0400
+++ new/usr/src/test/libc-tests/tests/Makefile	2016-06-18 19:38:03.018236234 -0400
@@ -86,7 +86,7 @@
 	$(POST_PROCESS)
 
 %.32: %.c
-	$(LINK.c) -m32 -o $@ $< $(LDLIBS)
+	$(LINK.c) -o $@ $< $(LDLIBS)
 	$(POST_PROCESS)
 
 clobber: $(SUBDIRS)
